Subject: bug#24390: closed (Re: bug#24390: VM with postgres service broken in master)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 30 Sep 2017 07:39:02 +0000

Your bug report

#24390: VM with postgres service broken in master

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
24390: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=24390
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#24390: VM with postgres service broken in master
From: Jan Nieuwenhuizen <[email-masked]>
To: [email-masked] (Ludovic Courtès)
Cc: [email-masked]
Date: Sat, 30 Sep 2017 09:38:26 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Ludovic Courtès writes:

> Sorry for not answering earlier.  I cannot reproduce it with
> v0.11.0-2111-g85533e2 and with the config you sent.
>
> Could you check on your side?

Sorry for not getting back earlier.  I've been running postgres VM's for
quite some time now.

janneke

-- 
Jan Nieuwenhuizen <[email-masked]> | GNU LilyPond http://lilypond.org
Freelance IT http://JoyofSource.com | Avatar® http://AvatarAcademy.com

Subject: VM with postgres service broken in master
From: Jan Nieuwenhuizen <[email-masked]>
To: [email-masked]
Date: Wed, 07 Sep 2016 20:51:01 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi!

Building a VM with postgres service like so (pg.scm attached)

    guix system vm pg.scm --expose=$HOME --share=$HOME/tmp=/exchange

on master @22 August

     e8bb433 gnu: Add kmscon.

results in run-vm.sh that boots fine doing

    /gnu/store/0d28hg2ms78wciiwlq1ic1sk1i98vdd8-run-vm.sh -enable-kvm -m 2G -net nic,model=virtio -redir tcp:2223::2222 -redir -redir tcp:5433::5432 &

Creating the same vm with today's master

    392a4e1 guix hash: Add --exclude-vcs option.

and running it

    /gnu/store/fikrcvp5bz1f8f152hgrn94lx677s95l-run-vm.sh -enable-kvm -m 2G -net nic,model=virtio -redir tcp:2223::2222 -redir tcp:5433::5432 &

breaks like so (copied manually from graphical qemu box)

    Adding user guixbuilder10...
    Adding user postgres...
    ERROR: In procedure system*:
    ERROR: Wrong type (expecting string): #t
    ...
    In ./gnu/build/activation.scm:
       ...
       152:20 (add-user "postgres" "postgres" #:uid #f #:comment "Po#" #)
    In unknown file:
          0 (system* "useradd" "-g" "postgres" "-c" "PostgresSQL" se#" #)

I'm not sure how to debug this further.

Greetings,
Jan

-- 
Jan Nieuwenhuizen <[email-masked]> | GNU LilyPond http://lilypond.org
Freelance IT http://JoyofSource.com | Avatar®  http://AvatarAcademy.nl